Package: org.gmetrics.resultsnode

## [Groovy] Class MethodResultsNode

- org.gmetrics.resultsnode.MethodResultsNode

- All Implemented Interfaces and Traits:
    ResultsNode

      class MethodResultsNode

  Represents a method result node in the hierarchy of metric result nodes

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricLevel` | `level`
    `List<MetricResult>` | `metricResults`
    `String` | `name`
    `String` | `signature`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodResultsNode (String name)`
    `MethodResultsNode (String name, String signature)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addMetricResult(MetricResult metricResult)`
    `` | `boolean` | `containsClassResults()`
    `` | `Map` | `getChildren()`
    `` | `MetricResult` | `getMetricResult(Metric metric)`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final MetricLevel level

    - #### final List<MetricResult> metricResults

    - #### final String name

    - #### final String signature

  - ### Constructor Detail

    - #### MethodResultsNode(String name)

    - #### MethodResultsNode(String name, String signature)

  - ### Method Detail

    - #### void addMetricResult(MetricResult metricResult)

    - #### boolean containsClassResults()

    - #### Map getChildren()

    - #### MetricResult getMetricResult(Metric metric)

    - #### String toString()